# Uses of Class
org.codehaus.janino.Java.ParenthesizedExpression

Packages that use Java.ParenthesizedExpression
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ParenthesizedExpression in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.ParenthesizedExpression
Modifier and Type
Method
Description
`R`
Visitor.LvalueVisitor.`visitParenthesizedExpression(Java.ParenthesizedExpression pe)`
Invoked by `accept(Visitor.LvalueVisitor)`

## Uses of Java.ParenthesizedExpression in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.ParenthesizedExpression
Modifier and Type
Method
Description
`Java.Lvalue`
DeepCopier.`copyParenthesizedExpression(Java.ParenthesizedExpression subject)`
`void`
AbstractTraverser.`traverseParenthesizedExpression(Java.ParenthesizedExpression pe)`
`void`
Traverser.`traverseParenthesizedExpression(Java.ParenthesizedExpression pe)`